Skip to main content
`Ctrl`+`K`

# DMMoabGetSize

Get the global vertex size used with this `DMMOAB`

## Synopsis

    #include "petscdmmoab.h"
    PetscErrorCode DMMoabGetSize(DM dm, PetscInt *neg, PetscInt *nvg)

Collective

## Input Parameter

- dm - The `DMMOAB` object being set

## Output Parameters

- neg - The number of global elements in the `DMMOAB` instance

- nvg - The number of global vertices in the `DMMOAB` instance

## See Also

`DMMOAB`, `DMMoabGetLocalSize()`

## Level

beginner

## Location

src/dm/impls/moab/dmmoab.cxx

## Examples

src/ksp/ksp/tutorials/ex35.cxx
src/ksp/ksp/tutorials/ex36.cxx

Index of all DMMOAB routines
Table of Contents for all manual pages
Index of all manual pages